//
//  MHIconView.h
//  Hootenanny
//
//  Created by Noah on 2/14/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MHIconViewDelegate
- (int) numberOfIconsInIconView:(NSView *)iview;
- (NSImage *) iconView:(NSView *)iview iconAtIndex:(int)index;
- (int) widthOfIconsInView:(NSView *)iview; // optional
- (int) heightOfIconsInView:(NSView *)iview; // optional
- (void) iconView:(NSView *)iview rightMouseDownWithEvent:(NSEvent *)e index:(int)index; // optional
- (void) iconView:(NSView *)iview doubleClickIconAtIndex:(int)index; // optional
@end


@interface MHIconView : NSView {
	id delegate, dataSource;
	BOOL midDoubleClick;
	NSMutableArray *currentIcons;
}

- (id) delegate;
- (void) setDelegate:(id)d;
- (id) dataSource;
- (void) setDataSource:(id)d;
- (int) indexOfIconAtPoint:(NSPoint)p;

@end
